Subject: Re: Suggested patch: Sending the FQDN when booting via DHCP

From: Chris Snook <[email-masked]>
Date: Tue, 09 Sep 2008 23:16:37 -0400

Thierry wrote:
> [re-sent without HTML encoding, and to the right aliases ...]
> 
> Hi all,
> 
> the following patch can be useful, in order to let the DHCP server 
> accordingly update the DNS, when booting via DHCP.
> 
> This can be useful for 2 reasons:
> 1) on small systems, the embedded filesystem may even not have udhcpd
> 2) when booting nfsroot, the nfs server does not like when udhcpd in 
> invoked, even when requested the same IP address.
> 
> Here is the patch, for 2.6.27-rc5. (Notice that it is the very first 
> time I deliver a patch for Linux, and I may
> have missed some points on the procedure, if it is the case I apologize 
> for that). What do you think about it ?
> 
> Any ideas or comments are welcome.

This should probably be a kernel command-line option, rather than a static 
config option.

-- Chris